Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
User avatar
mingle
Level 3
Level 3
Posts: 136
Joined: Thu May 24, 2012 9:58 pm

Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by mingle » Tue Aug 23, 2016 11:40 pm

Hi guys,

Just installed the latest stable Linux Kernel on my fresh Linux Mint 18.0 xfce 64-bit system.

Followed the (fairly simple) steps here:

http://www.ubuntumaniac.com/2016/08/how ... table.html

All went okay, apart from a couple of errors, which a few others have also run into (see the comments section of the above URL):

-----
Error! Bad return status for module build on

kernel: 4.7.1-040701-generic (x86_64)
Consult /var/lib/dkms/ndiswrapper/1.59/build/make.log for more

information.
Error! Bad return status for module build on

kernel: 4.7.1-040701-generic (x86_64)
Consult /var/lib/dkms/virtualbox-guest/5.0.4/build/make.log for more information.
-----

After the install had completed I restarted my system and all seems well. It's showing that the kernel version is now 4.7.1 (I still have a couple of earlier versions installed as well).

What I want to know is how do I check to see why the errors occurred (I guess check the logfiles mentioned above - but what to look for?) and are there any diagnostics I can run of the kernel to see if anything is not working?

Cheers,

Mike.

User avatar
WharfRat
Level 21
Level 21
Posts: 13142
Joined: Thu Apr 07, 2011 8:15 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by WharfRat » Wed Aug 24, 2016 12:06 am

Mike,

DKMS compiles out-of-tree kernel modules.

Since you're not running mint in a virtual box then virtualbox-guest failing would have no adverse affects and the same for ndiswrapper if your network adapter doesn't require it.

What you should look for in the log files are lines containing errors and check the current DKMS state with

Code: Select all

dkms status
ImageImage

User avatar
mingle
Level 3
Level 3
Posts: 136
Joined: Thu May 24, 2012 9:58 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by mingle » Wed Aug 24, 2016 12:20 am

Thanks for the quick reply.

The DKMS status returns the following:
-----
ndiswrapper, 1.59, 4.4.0-34-generic, x86_64: installed
vboxhost, 5.0.26, 4.4.0-34-generic, x86_64: installed
vboxhost, 5.0.26, 4.7.1-040701-generic, x86_64: installed
virtualbox-guest, 5.0.24, 4.4.0-34-generic, x86_64: installed (original_module exists)
virtualbox-guest, 5.0.24, 4.7.1-040701-generic, x86_64: installed
-----

I do have VirtualBox installed and use it to run a Windows XP VM. What impact will the different module versions have on the system - any impact other than potential issues with Vbox?

I'm still a bit vague on the whole Linux kernel thing. My only other experience with kernels was the good old Amiga micro-kernel, which is a whole different thing! :-)

Cheers,

Mike.

User avatar
WharfRat
Level 21
Level 21
Posts: 13142
Joined: Thu Apr 07, 2011 8:15 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by WharfRat » Wed Aug 24, 2016 12:45 am

Everything looks fine with DKMS. I find that it hiccups every now and then with superfluous errors.

For reasons unbeknownst to me, Mint comes with virtualbox-guest pre-installed which is not to be confused with virtualbox that hosts your Windows XP. The guest modules provide full screen, copy and paste between the host and vm and other functionality. It's not needed if you are running Mint natively.

You now have two kernels installed so vbox and vbox guest modules are setup for both. If or when you decide to remove the 4.4.0-34-generic kernel then those modules will be removed.

For some interesting information see

Code: Select all

man dkms
Good luck :wink:
ImageImage

User avatar
trytip
Level 11
Level 11
Posts: 3705
Joined: Tue Jul 05, 2016 1:20 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by trytip » Wed Aug 24, 2016 1:34 am

dmesg | grep -i "error\|warn\|fail" <<< you can run that to get some more error messages but i couldn't tell you what they all mean. i'm tempted to install 4.7 but i'm not sure how that will work with nvidia

also the stable 4.7.2 is already out http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7.2/

ps: installing 4.7.2 if i'm not back to say otherwise, it means things went bad
pps: WARNING IF YOU HAVE NVIDIA, you may get a black screen
Last edited by trytip on Wed Aug 24, 2016 2:22 am, edited 1 time in total.
Image

User avatar
mingle
Level 3
Level 3
Posts: 136
Joined: Thu May 24, 2012 9:58 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by mingle » Wed Aug 24, 2016 2:09 am

Okay, they VBox guest stuff has always puzzled me slightly too. I guess they think most users will be running Mint as a VM?
trytip wrote:ps: installing 4.7.2 if i'm not back to say otherwise, it means things went bad
Ha Ha! I'm doing the same - "In for a penny, in for a pound" as they say!

Seeya on the other side (hopefully!)

Cheers,

Mike.

User avatar
trytip
Level 11
Level 11
Posts: 3705
Joined: Tue Jul 05, 2016 1:20 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by trytip » Wed Aug 24, 2016 2:17 am

well my first attempt wit kernel 4.7.2 mate 17.3 nvidia 340.96 was a complete disaster, got the same var/lib/dkms errors while installing and after rebooting i get a black screen ... rebooted my 4.4.0-34 with no issues and quick like removed 4.7.2

i had the same issues with 4.6 and my old nvidia. i may read up on it and try again later but i'm satisfied just getting my desktop back

so beware you will get dkms errors and most likely no boot if you have nvidia
https://devtalk.nvidia.com/default/topi ... ernel-4-6/
Image

User avatar
mingle
Level 3
Level 3
Posts: 136
Joined: Thu May 24, 2012 9:58 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by mingle » Wed Aug 24, 2016 2:21 am

Well, that was pretty painless - download three files, run one command-line and I'm on 4.7.2:
kernel472.png
I get the same couple of VBox-related warnings during the kernel install, but aside from that, all is well.

Cheers,

Mike.
Last edited by mingle on Wed Aug 24, 2016 2:23 am, edited 1 time in total.

User avatar
mingle
Level 3
Level 3
Posts: 136
Joined: Thu May 24, 2012 9:58 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by mingle » Wed Aug 24, 2016 2:22 am

Sorry to hear you bombed. All I can say is thank buddah for integrated Intel graphics! :-)

Cheers,

Mike.
trytip wrote:well my first attempt wit kernel 4.7.2 mate 17.3 nvidia 340.96 was a complete disaster, got the same var/lib/dkms errors while installing and after rebooting i get a black screen ... rebooted my 4.4.0-34 with no issues and quick like removed 4.7.2

i had the same issues with 4.6 and my old nvidia. i may read up on it and try again later but i'm satisfied just getting my desktop back

so beware you will get dkms errors and most likely no boot if you have nvidia
https://devtalk.nvidia.com/default/topi ... ernel-4-6/

User avatar
dl9220
Level 3
Level 3
Posts: 100
Joined: Sun Jul 31, 2016 2:18 am
Location: Hamme

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by dl9220 » Wed Aug 24, 2016 4:19 pm

trytip wrote:dmesg | grep -i "error\|warn\|fail" <<< you can run that to get some more error messages but i couldn't tell you what they all mean. i'm tempted to install 4.7 but i'm not sure how that will work with nvidia

also the stable 4.7.2 is already out http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7.2/

ps: installing 4.7.2 if i'm not back to say otherwise, it means things went bad
pps: WARNING IF YOU HAVE NVIDIA, you may get a black screen

Good reason to switch for AMD. nVidia is lightyears behind on opensource... Never ever had any issue with AMD/ATI. And that's so since they invented 64bit computing.

Cheers
Mint Sarah Xfce (Linux 4.8.4 Low Latency) on MSI A88Xi-AC + AMD A10-7850@4.2 gHz + AMD R9-270X + Corsair 16 GB DDR3-1866 + Adata SX900-64
Lenovo Z50-75 - Mint Sarah Xfce (4.8.4 Low Latency) AMD FX7500 - Corsair ForceLS 120 Gb - Corsair 16 Gb 1866DDR3 lv

User avatar
mingle
Level 3
Level 3
Posts: 136
Joined: Thu May 24, 2012 9:58 pm

Re: Installed Linux Kernel 4.7.1 on LM 18.0 - had errors, but working fine?

Post by mingle » Thu Oct 27, 2016 3:27 am

Just kick-starting this thread...

I've been installing new Kernels on LM 18.0 64-bit xfce as they are released and have had good success.

4.8.1 worked, with the same warnings as I saw with 4.7.1

Yesterday I installed the 4.8.4 kernel and the above warning were no longer there - which I suppose is a good thing!

Cheers,

Mike.

Post Reply

Return to “Newbie Questions”